DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# GaussIIR

Infinite impulse response filter

## SYNOPSIS

`#include "dip_iir.h"`

dip_Error dip_GaussIIR ( in, out, boundary, process, sigmas, order, truncation )

## DATA TYPES

binary, integer, float

## FUNCTION

Recursive infinite impulse response implementation of the Gauss filter.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_BooleanArray` | `process` | Dimensions to process
`dip_FloatArray` | `sigmas` | Sigma of Gaussian
`dip_IntegerArray` | `order` | Order of Derivative
`dip_IntegerArray` | `order` | Order of the IIR Filter
`dip_int` | `designMethod` | Method of IIR design
`dip_float` | `truncation` | Truncation of Gaussian

## SEE ALSO

`Gauss`, `Derivative`

DIPlib on-line documentation | Function reference | Global function index